<?php
namespace App\Http\Controllers\Owner\ExternalUserPassenger;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Helpers\ResponseBuilder;
use App\Modules\ExternalUserPassenger\Application\ExternalUserPassengerFinder;
use App\Modules\ExternalUserPassenger\Infraestructure\MysqlExternalUserPassengerRepository;

class ExternalUserPassengerListController extends Controller
{
    public function __construct()
    {
    }

    public function __invoke($IdExternalUser, $Action, Request $Request)
    {
        $oResponse = (new ExternalUserPassengerFinder(new MysqlExternalUserPassengerRepository))
                        ->__invoke($IdExternalUser, $Action);
        return ResponseBuilder::Response($oResponse);
    }
}
